import type { DId } from '../../utils/types';
import type { DFormControl } from '../form';
import React from 'react';
export interface DRadioItem<V extends DId> {
    label: React.ReactNode;
    value: V;
    disabled?: boolean;
}
export interface DRadioGroupRendererProps<V extends DId> {
    dFormControl?: DFormControl;
    dList: DRadioItem<V>[];
    dModel?: V | null;
    dName?: string;
    dDisabled?: boolean;
    dRender: (nodes: React.ReactElement[]) => JSX.Element | null;
    onModelChange?: (value: V) => void;
}
export declare function DRadioGroupRenderer<V extends DId>(props: DRadioGroupRendererProps<V>): JSX.Element | null;
