var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DImage.Action' });
function ImageAction(props, ref) {
    var _a;
    const _b = useComponentConfig(COMPONENT_NAME, props), { children } = _b, restProps = __rest(_b, ["children"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx("button", Object.assign({}, restProps, { ref: ref, className: getClassName(restProps.className, `${dPrefix}image__action`), type: (_a = restProps['type']) !== null && _a !== void 0 ? _a : 'button' }, { children: children })));
}
export const DImageAction = React.forwardRef(ImageAction);
